<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
<style>
body{
background-color: lightgrey;
font-family: Arial, Helvetica, sans-serif;
}
.topnav {
  overflow: hidden;
  background-color: lightgrey;
}
.topnav a {
  float: left;
  color: black;
  text-align: center;
  padding: 14px 16px;
  transition: 0.5s;
  text-decoration: none;
  font-size: 17px;
}
.topnav a:hover {
  background-color: #7600ff;
  color: white;
  box-shadow: 0 0 10px blue;
}
.topnav a.active {
  background-color: #7c44bd;
  color: white;
}
textarea {
  width: 100%;
  height: 150px;
  padding: 12px 20px;
  box-sizing: border-box;
  border: 2px solid #ccc;
  border-radius: 4px;
  background-color: #f8f8f8;
  font-size: 16px;
  resize: none;
}
textarea:focus { 
	outline: none !important;
	border:2px solid #7c44bd;
    box-shadow: 0 0 10px #7600ff;
}
input[type=text] {
  width: 130px;
  box-sizing: border-box;
  border: 2px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
  background-color: white;
  padding: 12px ;
  transition: width 0.4s ease-in-out;
}

input[type=text]:focus {
	width: 100%;
    outline: none !important;
    border:2px solid #7c44bd;
    box-shadow: 0 0 10px #7600ff;
}

input[type=submit] {
  width: 100%;
  font-size: 16px;
  background-color: #7c44bd;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: #7600ff;
  transition: 0.5s;
  box-shadow: 0 0 10px #7600ff;
}

div {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
}
</style>
</head>
<body>
<div class="topnav">
  <a href="http://localhost:8000/">Home</a>
  <a class="active" href="http://localhost:8000/lab-4/add-note">Forms</a>
  <a href="http://localhost:8000/lab-4">Notes</a>
  <a href="http://localhost:8000/lab-4/note-list">Note Cards</a>
</div> 

<h2>Note Form</h2>

<div>
  <form action = "" method = "POST">
  {% csrf_token %}
  <label for="to">To:</label><br>
	<input type="text" id="to" name="note_to"><br>
	<label for="from">From:</label><br>
    <input type="text" id="from" name="note_from"><br>
    <label for="title">Title:</label><br>
    <input type="text" id="title" name="note_title"><br>
    <label for="message">Message:</label><br>
    <textarea id = "message" name = "note_message" ></textarea><br>
    <input type="submit" value="Submit">
  </form>
</div>

</body>
</html>


